camel-imap4-utils
3
CAMEL Library

# camel-imap4-utils

## Synopsis

                        flags_diff_t;
    void                camel_imap4_flags_diff              (flags_diff_t *diff,
                                                             guint32 old,
                                                             guint32 new);
    guint32             camel_imap4_flags_merge             (flags_diff_t *diff,
                                                             guint32 flags);
    guint32             camel_imap4_merge_flags             (guint32 original,
                                                             guint32 local,
                                                             guint32 server);
    void                camel_imap4_namespace_clear         (struct _CamelIMAP4Namespace **ns);
    struct              CamelIMAP4NamespaceList;
    int                 camel_imap4_untagged_list           (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);
                        camel_imap4_status_attr_t;
                        camel_imap4_status_t;
    void                camel_imap4_status_free             (camel_imap4_status_t *status);
    int                 camel_imap4_untagged_status         (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);

## Description

## Details

### flags_diff_t

    typedef struct {
    	guint32 changed;
    	guint32 bits;
    } flags_diff_t;

### camel_imap4_flags_diff ()

    void                camel_imap4_flags_diff              (flags_diff_t *diff,
                                                             guint32 old,
                                                             guint32 new);

`diff` :

`old` :

`new` :

### camel_imap4_flags_merge ()

    guint32             camel_imap4_flags_merge             (flags_diff_t *diff,
                                                             guint32 flags);

`diff` :

`flags` :

Returns :

### camel_imap4_merge_flags ()

    guint32             camel_imap4_merge_flags             (guint32 original,
                                                             guint32 local,
                                                             guint32 server);

Merge the local flag changes into the new server flags.

`original` :

  original server flags

`local` :

  local flags (after changes)

`server` :

  new server flags (another client updated the server flags)

Returns :

  the merged flags.

### camel_imap4_namespace_clear ()

    void                camel_imap4_namespace_clear         (struct _CamelIMAP4Namespace **ns);

`ns` :

### struct CamelIMAP4NamespaceList

    struct CamelIMAP4NamespaceList;

### camel_imap4_untagged_list ()

    int                 camel_imap4_untagged_list           (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);

`engine` :

`ic` :

`index` :

`token` :

`ex` :

Returns :

### camel_imap4_status_attr_t

    typedef struct {
    	struct _camel_imap4_status_attr *next;
    	guint32 type;
    	guint32 value;
    } camel_imap4_status_attr_t;

### camel_imap4_status_t

    typedef struct {
    	camel_imap4_status_attr_t *attr_list;
    	char *mailbox;
    } camel_imap4_status_t;

### camel_imap4_status_free ()

    void                camel_imap4_status_free             (camel_imap4_status_t *status);

`status` :

### camel_imap4_untagged_status ()

    int                 camel_imap4_untagged_status         (struct _CamelIMAP4Engine *engine,
                                                             struct _CamelIMAP4Command *ic,
                                                             guint32 index,
                                                             struct _camel_imap4_token_t *token,
                                                             CamelException *ex);

`engine` :

`ic` :

`index` :

`token` :

`ex` :

Returns :